%define	lib_name_orig	libxfs
%define	lib_major	1
%define	lib_name	%mklibname xfs %{lib_major}
%define	lib_name_devel	%mklibname xfs -d
%define	lib_name_static_devel	%mklibname xfs -d -s

Name:		xfsprogs
Version:	4.14.0
Release:	%mkrel 1
Summary:	Utilities for managing the XFS filesystem
License:	GPLv2 and LGPLv2
Group:		System/Kernel and hardware
URL:		http://xfs.org/index.php/Getting_the_latest_source_code
Source0:	http://kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.xz
Patch1:		xfsprogs-4.7.0-fix-underlinking.patch
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(blkid)
Requires:	common-licenses
Conflicts:	xfsdump < 3.0.0

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{lib_name_devel}
Summary:	XFS filesystem-specific libraries and headers
Group:		Development/C
Requires:	%{lib_name} = %{version}
# For uuid/uuid.h included in /usr/include/xfs/linux.h
Requires:	libuuid-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	xfs-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	xfs-devel < %{version}-%{release}
Obsoletes:      %{lib_name}-devel < %{version}-%{release}

%description -n	%{lib_name_devel}
%{lib_name_devel} contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_devel}, you'll
also want to install xfsprogs.

%package -n	%{lib_name_static_devel}
Summary:	XFS filesystem-specific static libraries
Group:		Development/C
Requires:	%{lib_name_devel} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	xfs-static-devel = %{version}-%{release}

%description -n	%{lib_name_static_devel}
%{lib_name_devel} contains the static libraries needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_static_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_static_devel}, you'll
also want to install xfsprogs.

%prep
%setup -q  -n %name-%version
%autopatch -p1

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"

%configure2_5x \
		--enable-gettext=yes \
		--enable-editline=no \
		--enable-shared=yes

make DEBUG=-DNDEBUG OPTIMIZER="%{optflags}"

%install
make install DIST_ROOT=%{buildroot}/ PKG_ROOT_SBIN_DIR=%{_sbindir} PKG_ROOT_LIB_DIR=%{_libdir}
make install-dev DIST_ROOT=%{buildroot}/ PKG_ROOT_LIB_DIR=%{_libdir}

# nuke files already packaged as %doc
rm -r %{buildroot}%{_datadir}/doc/xfsprogs/
rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/COPYING doc/CREDITS README
%{_sbindir}/xfs_admin
%{_sbindir}/xfs_bmap
%{_sbindir}/xfs_copy
%{_sbindir}/xfs_db
%{_sbindir}/xfs_freeze
%{_sbindir}/xfs_growfs
%{_sbindir}/xfs_info
%{_sbindir}/xfs_io
%{_sbindir}/xfs_logprint
%{_sbindir}/xfs_mkfile
%{_sbindir}/xfs_ncheck
%{_sbindir}/xfs_quota
%{_sbindir}/xfs_rtcp
%{_sbindir}/xfs_mdrestore
%{_sbindir}/xfs_metadump
%{_sbindir}/xfs_estimate
%{_sbindir}/xfs_fsr
%{_sbindir}/fsck.xfs
%{_sbindir}/mkfs.xfs
%{_sbindir}/xfs_repair
%{_sbindir}/xfs_spaceman
%{_mandir}/man[85]/*

%files -n %{lib_name}
%doc README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_libdir}/*.so
%{_includedir}/xfs
%{_mandir}/man3/*

%files -n %{lib_name_static_devel}
%{_libdir}/*.a


%changelog
* Thu Nov 30 2017 tmb <tmb> 4.14.0-1.mga6
+ Revision: 1180421
- update to 4.14.0
- update to 4.13.1

* Tue Jan 10 2017 luigiwalser <luigiwalser> 4.9.0-1.mga6
+ Revision: 1080845
- 4.9.0

* Fri Nov 11 2016 luigiwalser <luigiwalser> 4.8.0-1.mga6
+ Revision: 1066594
- 4.8.0
- update source URL

* Thu Aug 11 2016 wally <wally> 4.7.0-1.mga6
+ Revision: 1045539
- new version 4.7.0
- update underlinking patch

* Thu Apr 07 2016 cjw <cjw> 4.5.0-1.mga6
+ Revision: 999213
- 4.5.0

* Sun Mar 06 2016 cjw <cjw> 4.3.0-1.mga6
+ Revision: 986612
- 4.3.0

* Fri Feb 12 2016 umeabot <umeabot> 3.2.4-3.mga6
+ Revision: 959317
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 3.2.4-2.mga6
+ Revision: 867087
- rebuild for new gcc

* Wed Aug 12 2015 tmb <tmb> 3.2.4-1.mga6
+ Revision: 864111
- 3.2.4 (CVE-2012-2150, mga#16455)

* Mon Jun 29 2015 cjw <cjw> 3.2.3-1.mga6
+ Revision: 847331
- 3.2.3

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-3.mga5
+ Revision: 742408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 690654
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 fwang <fwang> 3.2.1-1.mga5
+ Revision: 653024
- xfs_check has been removed
- 3.2.1

* Sat Jun 07 2014 pterjan <pterjan> 3.2.0-1.mga5
+ Revision: 634526
- 3.2.0

* Sat Mar 08 2014 tv <tv> 3.2.0-0.alpha2.mga5
+ Revision: 601233
- fix underlinking
- new pre-release

* Tue Oct 22 2013 umeabot <umeabot> 3.1.11-2.mga4
+ Revision: 541712
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 3.1.11-1.mga4
+ Revision: 456425
- new version 3.1.11
- move back to root rather than /usr
- libxlog is acturally a static lib used by xfs_db
- cleanup spec, move binaries into /usr

* Mon Jan 14 2013 umeabot <umeabot> 3.1.10-2.mga3
+ Revision: 386946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 fwang <fwang> 3.1.10-1.mga3
+ Revision: 331154
- new version 3.1.10

* Sat Mar 24 2012 tmb <tmb> 3.1.8-1.mga2
+ Revision: 226139
- update to 3.1.8 (bugfixes for loops, segfaults and deadlocks)

* Sat Feb 25 2012 tv <tv> 3.1.7-1.mga2
+ Revision: 214607
- new release

* Sat Oct 15 2011 tmb <tmb> 3.1.6-1.mga2
+ Revision: 155324
- update to 3.1.6

* Sat Jun 11 2011 dmorgan <dmorgan> 3.1.5-3.mga2
+ Revision: 103361
- Revert previous commit

* Fri Jun 10 2011 dmorgan <dmorgan> 3.1.5-2.mga2
+ Revision: 103351
- Only rm .la files
- Remove la files

* Sat Apr 02 2011 tmb <tmb> 3.1.5-1.mga1
+ Revision: 79880
- temporarily disable underlinking
- update to 3.1.5

* Tue Jan 11 2011 blino <blino> 3.1.2-2.mga1
+ Revision: 6339
- remove old ldconfig scriptlets
- unmanboification
- imported package xfsprogs

